﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Credential Vault Configuration</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Credential Vault Configuration</h1>
        <p>Credential Vault can be used to store secret data in the vault instead of providing values for the secret data. The secret data may include passwords, tokens, or certificates. You can also enter the values for the secrets and choose to save them in the vault. </p>
        <p>You can use any credential vault-like Hashicorp or Cyberark to store this application's secret data. This option will be available only if a credential vault connection is configured in Identity Governance and Administration (IGA). For more information on configuring a credential vault connection see <MadCap:conditionalText MadCap:conditions="Default.Link,Default.Web">HashiCorp Vault Connector Guide</MadCap:conditionalText> and <MadCap:conditionalText MadCap:conditions="Default.Link,Default.Web">CyberArk Vault Connector Guide</MadCap:conditionalText>.</p>
        <p>This is an optional field and can be specified either while providing basic connection details or configured using the advanced mode. </p>
        <h2>Configuring the Credential Vault <span class="inline-comment-marker">during</span> Enrollment</h2>
        <p>Perform the following steps to configure the credential vault:</p>
        <ol>
            <li>
                <p>Log in to IGA.</p>
            </li>
            <li>
                <p>On the top right of the Home page, click&#160;the <strong>Applications </strong>icon, and select <strong>Design</strong>. The Application Management page is displayed.</p>
            </li>
            <li>
                <p>Click the <strong>Enrollment </strong>tab. Under Enroll New Application, click <strong>Active Directory</strong>. The Enroll New Active Directory wizard is displayed.</p>
            </li>
            <li>
                <p>In the Configuration step click <strong>Configure </strong>in the Use Credential Vault parameter.</p>
                <p>
                    <img src="../../Resources/Images/credentialvaultconfig.png" style="width: 650px;" />
                </p>
            </li>
            <li>
                <p>Select a vault from the drop-down. The drop-down lists all the vaults configured in IGA. On selecting a vault, the below parameters are displayed.</p>
                <p>
                    <img src="../../Resources/Images/EICvault.png" style="width: 650px;" />
                </p>
            </li>
            <li>
                <p>Configure the following fields:</p>
                <ul>
                    <li>
                        <p><strong>Vault Config</strong>: Specify the path in the vault where this application’s secret data is already stored. If you want to save the secret data now, then provide a unique path for this application. By default, application’s name is provided in the path. However you can change this.</p>
                    </li>
                    <li>
                        <p><strong>Map Vault Attribute</strong>: Map the Saviynt attributes with the Vault attributes.</p>
                        <ul>
                            <li>
                                <p><strong>Vault Attribute: </strong>Specify the attribute name in the vault where secret data is stored.</p>
                            </li>
                            <li>
                                <p><strong>Format: </strong>Specify the format in which secret data is stored in vault.</p>
                                <ul>
                                    <li>
                                        <p><strong>Encrypted: </strong>The data is encrypted and stored in vault.</p>
                                    </li>
                                    <li>
                                        <p><strong>Base64 Encoded:</strong> The data is base64 encoded and stored in vault.</p>
                                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                            <p class="note"> The data is stored in clear text in the vault.</p>
                                        </div>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p><strong>Do you want to save Secret Data in vault?: </strong>Specify this option to store additional secret data in the vault.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Click <strong>Save Changes</strong> to save the details.</p>
            </li>
        </ol>
        <h2>Configuring the Credential Vault in Advanced Mode</h2>
        <p>Perform the following steps to configure the credential vault:</p>
        <ol>
            <li>
                <p>On the Home page for the application, select the <strong>Advanced configuration</strong> option. In the left pane, expand <strong>CONFIGURATION</strong>, and click <strong>Connection</strong>.</p>
            </li>
            <li>
                <p>Select a vault from the drop down. The drop down lists all the vaults configured in IGA. On selecting a vault, the below parameters are displayed.</p>
                <p>
                    <img src="../../Resources/Images/credentialvault.png" style="width: 650px;" />
                </p>
            </li>
            <li>
                <p>Configure the following fields in the vault:</p>
                <ul>
                    <li>
                        <p><strong>Vault Config</strong>: Specify the path in the vault where this application’s secret data is already stored. If you want to save the secret data now, then provide a unique path for this application. By default, application’s name is provided in the path. However you can change this.</p>
                    </li>
                    <li>
                        <p><strong>Map Vault Attribute: </strong>Map the Saviynt attributes with the Vault <span class="inline-comment-marker">attributes.</span></p>
                        <ul>
                            <li>
                                <p><strong>Vault Attribute: </strong>Specify the attribute name in the vault where secret data is stored.</p>
                            </li>
                            <li>
                                <p><strong>Format: </strong>Specify the format in which secret data is stored in vault.</p>
                                <ul>
                                    <li>
                                        <p><strong>Encrypted: </strong>The data is encrypted and stored in vault.</p>
                                    </li>
                                    <li>
                                        <p><strong>Base64 Encoded: </strong>The data is base64 encoded and stored in vault.</p>
                                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                            <p class="note">The data is stored in clear text in the vault.</p>
                                        </div>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p><strong>Do you want to save Secret Data in vault?: </strong>Specify this option to store additional secret data in the vault.</p>
                    </li>
                    <li>
                        <p><strong>Format: </strong>Specify the encryption method that must be used to store the additional secret data.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Click <strong>Save Changes</strong> to save the details.</p>
            </li>
        </ol>
    </body>
</html>